=== build/premake/premake4/build/gmake.macosx/Makefile ===
# GNU Make solution makefile autogenerated by Premake
# Type "make help" for usage help

ifndef config
  config=release
endif
export config

PROJECTS := Premake4

.PHONY: all clean help $(PROJECTS)

all: $(PROJECTS)

Premake4: 
	@echo "==== Building Premake4 ($(config)) ===="
	@${MAKE} --no-print-directory -C . -f Premake4.make

clean:
	@${MAKE} --no-print-directory -C . -f Premake4.make clean

help:
	@echo "Usage: make [config=name] [target]"
	@echo ""
	@echo "CONFIGURATIONS:"
	@echo "   release"
	@echo "   debug"
	@echo ""
	@echo "TARGETS:"
	@echo "   all (default)"
	@echo "   clean"
	@echo "   Premake4"
	@echo ""
	@echo "For more information, see http://industriousone.com/premake/quick-start"
