=== debian/changelog ===
0ad (0.0.16-2~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1321673)

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 21 May 2014 13:56:41 +0200

0ad (0.0.16-2) unstable; urgency=medium

  * Remove armel from Architecture list in debian/control.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 18 May 2014 19:14:10 -0700

0ad (0.0.16-1) unstable; urgency=medium

  * New upstream release.
    - Drop debian/patches/fix-kfreebsd-ftbfs.patch; applied upstream.
  * Avoid repacking tarball by including missing jquery sources in Debian diff,
    see debian/missing-sources/jquery-1.8.{0,3}.js. Alternative way of fixing
    #735349.
    - Update debian/copyright to include missing license entries for the
      various javascript libraries contained in the source tarball.
    - Revert changes made to debian/control in 0ad/0.0.15+dfsg-3, i.e.:
      revert: debian/control: Hardcode versions of 0ad-data{,-common} to
              depend on to workaround the fact that 0.0.15+dfsg is strictly
              greater than 0.0.15.
  * Build-dep on libgloox-dev (>= 1.0.9) to ensure that 0ad is built with
    newer enough gloox to avoid lobby connectivity issues.
  * Add new build-deps: libicu-dev, libmozjs-24-dev.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 17 May 2014 16:30:39 -0700
