## 0ad 0.0.17

=== debian/changelog ===
0ad (0.0.17-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Replace libmozjs-24-dev build dependency with libnspr4-dev and add
    python as build dependency.
  * Accordingly update debian/rules and debian/install to use the bundled
    copy of libmozjs24.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 28 Oct 2014 23:15:20 -0700

0ad (0.0.17-1) unstable; urgency=medium

  * New upstream release.
    - Drop debian/patches/{support_miniupnpc_1.9.patch,fix_gcc4.9_ftbfs.patch}:
      applied upstream.
    - Add debian/patches/allow-build-with-root.patch.
    - Add debian/patches/fix-bindir.patch. (LP: #1380737)
    - Refresh remaining patches.
  * Update Standards version to 3.9.6, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 13 Oct 2014 20:01:57 -0700

0ad (0.0.16-4) unstable; urgency=medium

  * Add debian/patches/fix_gcc4.9_ftbfs.patch to fix FTBFS when running the
    test suite when built with gcc 4.9. (Closes: #746822)

 -- Vincent Cheng <vcheng@debian.org>  Tue, 24 Jun 2014 21:21:36 -0700

0ad (0.0.16-3) unstable; urgency=medium

  * Add debian/patches/support_miniupnpc_1.9.patch to fix FTBFS when built
    with miniupnpc >= 1.9. (Closes: #751224)
  * Tighten build-dep on libminiupnpc-dev (>= 1.6).

 -- Vincent Cheng <vcheng@debian.org>  Wed, 11 Jun 2014 19:46:46 -0700
