=== debian/control ===
--- 
+++ 
@@ -9,14 +9,13 @@
  dpkg-dev (>= 1.15.5),
  libboost-dev,
  libboost-filesystem-dev,
- libboost-signals-dev,
  libcurl4-gnutls-dev | libcurl4-dev,
  libenet-dev (>= 1.3),
  libgloox-dev (>= 1.0.9),
  libicu-dev,
  libjpeg-dev,
- libminiupnpc-dev,
- libmozjs-24-dev,
+ libminiupnpc-dev (>= 1.6),
+ libnspr4-dev,
  libnvtt-dev (>= 2.0.8-1+dfsg-4~),
  libogg-dev,
  libopenal-dev,
@@ -27,8 +26,9 @@
  libxcursor-dev,
  libxml2-dev,
  pkg-config,
+ python,
  zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://play0ad.com/
 Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/0ad/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/0ad/
