=== debian/rules ===
--- 
+++ 
@@ -22,10 +22,8 @@
 		--bindir=/usr/games \
 		--libdir=/usr/lib/games/0ad \
 		--datadir=/usr/share/games/0ad \
-		--with-system-enet \
 		--with-system-nvtt \
-		--with-system-miniupnpc \
-		--with-system-mozjs24
+		--with-system-miniupnpc
 	
 	$(MAKE) config=release verbose=1 -C build/workspaces/gcc
 
@@ -33,8 +31,7 @@
 	# Note: Avoid running tests from root dir of build, otherwise certain
 	# tests (i.e. in testsuite MeshManager) may not work as intended and
 	# create spurious directories above root dir (../data/mods).
-	#cd binaries/system/ && LD_LIBRARY_PATH=. ./test -libdir .
-	@echo "FIXME: Skipping tests..."
+	cd binaries/system/ && LD_LIBRARY_PATH=. ./test -libdir .
 
 override_dh_auto_install:
 	install -Dm 0755 build/resources/0ad.sh $(CURDIR)/debian/tmp/usr/games/0ad
@@ -45,11 +42,3 @@
 
 override_dh_builddeb:
 	dh_builddeb -- -Zxz
-
-# Currently unused; download pristine upstream tarball using uscan instead
-get-orig-source:
-	uscan --download-current-version
-	tar xJf ../0ad_0.0.15.orig.tar.xz
-	rm -rf source/tools/jsdebugger # see #735349
-	mv 0ad-0.0.15-alpha 0ad-0.0.15+dfsg
-	tar cJf ../0ad_0.0.15+dfsg.orig.tar.xz 0ad-0.0.15+dfsg/
