## 0ad 0.0.18

=== debian/changelog ===
0ad (0.0.18-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
    - Replace build-dep on libmozjs-24-dev with libnspr4-dev.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 18 Mar 2015 16:58:45 -0700
