=== debian/control ===
--- 
+++ 
@@ -26,7 +26,6 @@
  libxcursor-dev,
  libxml2-dev,
  pkg-config,
- python,
  zlib1g-dev
 Standards-Version: 3.9.6
 Homepage: http://play0ad.com/
