=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,7 @@
 		--bindir=/usr/games \
 		--libdir=/usr/lib/games/0ad \
 		--datadir=/usr/share/games/0ad \
-		--with-system-nvtt \
-		--with-system-miniupnpc
+		--with-system-nvtt
 	
 	$(MAKE) config=release verbose=1 -C build/workspaces/gcc
