=== debian/changelog ===
0ad (0.0.20-1) unstable; urgency=medium

  * New upstream release.
    - Drop build-dep on libjpeg-dev.
    - Refresh patches.
  * Remove debian/menu file as per tech-ctte decision in #741573.
  * Update Standards version to 3.9.7, no changes required.
  * Update jQuery/JavaScript related lintian overrides.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 03 Apr 2016 19:42:21 -0700

0ad (0.0.19-1) unstable; urgency=medium

  * New upstream release. (Closes: #807447)
    - Add support for arm64. (Closes: #790306)
    - Replace dependency on libsdl1.2-dev with libsdl2-dev (>= 2.0.2).
    - Remove gcc-5.1.patch, applied upstream.
    - Refresh remaining patches.
  * Fix typo in override target in d/rules.
  * Update watch file.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 20 Dec 2015 19:56:20 -0800

0ad (0.0.18-2) unstable; urgency=medium

  [ Logan Rosen ]
  * debian/patches/gcc-5.1.patch: Pull patch from upstream Git to fix build
    with GCC 5.1.

 -- Vincent Cheng <vcheng@debian.org>  Fri, 28 Aug 2015 20:46:34 -0700
