=== debian/control ===
--- 
+++ 
@@ -13,27 +13,26 @@
  libenet-dev (>= 1.3),
  libgloox-dev (>= 1.0.9),
  libicu-dev,
- libjpeg-dev,
  libminiupnpc-dev (>= 1.6),
  libnspr4-dev,
  libnvtt-dev (>= 2.0.8-1+dfsg-4~),
  libogg-dev,
  libopenal-dev,
  libpng-dev,
- libsdl1.2-dev,
+ libsdl2-dev (>= 2.0.2),
  libvorbis-dev,
  libwxgtk3.0-dev | libwxgtk2.8-dev,
  libxcursor-dev,
  libxml2-dev,
  pkg-config,
  zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://play0ad.com/
 Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/0ad/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/0ad/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/0ad/
 
 Package: 0ad
-Architecture: amd64 armhf i386 kfreebsd-amd64 kfreebsd-i386
+Architecture: amd64 arm64 armhf i386 kfreebsd-amd64 kfreebsd-i386
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends:
  0ad-data (>= ${source:Upstream-Version}),
@@ -54,7 +53,7 @@
 Package: 0ad-dbg
 Section: debug
 Priority: extra
-Architecture: amd64 armhf i386 kfreebsd-amd64 kfreebsd-i386
+Architecture: amd64 arm64 armhf i386 kfreebsd-amd64 kfreebsd-i386
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: 0ad (= ${binary:Version}), ${misc:Depends}
 Description: Real-time strategy game of ancient warfare (debug)
