=== debian/rules ===
--- 
+++ 
@@ -39,5 +39,8 @@
 override_dh_strip:
 	dh_strip -p 0ad --dbg-package=0ad-dbg
 
+override_dh_makeshlibs:
+	dh_makeshlibs -Xusr/lib/games/0ad
+
 override_dh_builddeb:
 	dh_builddeb -- -Zxz
