=== debian/watch ===
version=3
http://sf.net/zero-ad/0ad-([\d\.]+)-.*-unix-build\.tar\.xz
