## 0ad 0.0.21

=== debian/changelog ===
0ad (0.0.21-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Revert -dbg to -dbgsym migration since jessie debhelper does not yet
    support dh_strip --dbgsym-migration.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 19 Nov 2016 19:55:48 -0800

0ad (0.0.21-2) unstable; urgency=medium

  * Fix FTBFS by installing missing files with dh_install.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 12 Nov 2016 22:57:56 -0800

0ad (0.0.21-1) unstable; urgency=medium

  * New upstream release.
    - Drop debian/patches/fix-gcc6-segfault.patch, obsolete.
    - Refresh remaining patches.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 12 Nov 2016 16:46:11 -0800

0ad (0.0.20-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Revert -dbg to -dbgsym migration since jessie debhelper does not yet
    support dh_strip --dbgsym-migration.

 -- Vincent Cheng <vcheng@debian.org>  Fri, 30 Sep 2016 23:23:22 -0700

0ad (0.0.20-3) unstable; urgency=medium

  * Add debian/patches/fix-gcc6-segfault.patch to fix spidermonkey segfault
    when built with gcc6. (Closes: #835176)
  * Temporarily disable test suite on arm64 to fix arch-specific FTBFS.
  * Call dh_strip --dbgsym-migration to cleanly migrate from the old -dbg
    package to -dbgsym.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 07 Sep 2016 22:44:22 -0700

0ad (0.0.20-2) unstable; urgency=medium

  * Team upload.
  * Drop 0ad-dbg package and use the automatic -dbgsym package instead.
  * d/rules: Remove override for dh_builddeb because xz is the default
    compression.
  * Declare compliance with Debian Policy 3.9.8.
  * Build-depend on python and fix FTBFS.
    Thanks to Lucas Nussbaum for the report. (Closes: #832870)
  * Ensure that 0ad can be built twice in a row by updating dh_auto_clean
    target. Thanks to Peter Green for the patch.

 -- Markus Koschany <apo@debian.org>  Sun, 21 Aug 2016 04:54:55 +0200
