=== debian/control ===
--- 
+++ 
@@ -25,8 +25,10 @@
  libxcursor-dev,
  libxml2-dev,
  pkg-config,
+ python,
+ python3,
  zlib1g-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://play0ad.com/
 Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/0ad/
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/0ad/
